marbling(6x)

NAME
marbling - Marble-like or cloud-like patterns.

SYNOPSIS
marbling [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--scale number] [--iterations number] [--fps]

DESCRIPTION
This generates a random field with Perlin Noise, then permutes it with Fractal Brownian Motion to create images that somewhat resemble clouds, or the striations in marble, depending on the parameters selected and the colors chosen.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds).

--scale number
    Scale.    1 - 30.  Default: 10.

--iterations number
    Complexity. 1 - 20. Default: 5.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2021 by Jamie Zawinski and Dave Odell. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski and Dave Odell.